import React, { useState, useEffect } from "react";
import ReactDOM from "react-dom";
import * as d3 from "d3";
import { Pie } from "./Pie";
import { useData } from './useData';


// const width = 200;
// const height=200;
// const innerRadius= 60;
// const outerRadius=100;

const generateData = (value, length = 5) =>
  d3.range(length).map((item, index) => ({
    date: index,
    value: value === null || value === undefined ? Math.random() * 100 : value
  }));


function App() {
  
	const myData = useData();
  console.log(myData);
  
  let flag = false;
  if (myData) {
		let slicedData = myData.slice(0,10);
    console.log("sliced");
    console.log(slicedData);
    
    let newData = [];
    
    // translateData()
    slicedData.forEach((element, index) => {
      newData.push({
      	data: index,
      	value: element.Sex === "M" ? 1 : 2
      });
    });
    console.log(newData);
    flag = true;
  }

  // let [data, setData] = useState(generateData(0));
  // if (flag) {
  //   data = myData;
  // }
  // console.log(data);
	let data = myData;
  
  const changeData = () => {
    setData(generateData());
  };

  useEffect(
    () => {
      setData(generateData());
    },
    [!data]
  );
	
  // Load the data after all the hooks are rendered.
  if (!data) {
    return <pre>Loading...</pre>;
  }
  
  return (
    <div className="App">
      <div>
        <button onClick={changeData}>Transform</button>
      </div>
      <div>
        <span className="label">Hooks</span>
        <Pie
          data={data}
          width={200}
          height={200}
          innerRadius={60}
          outerRadius={100}
        />
      </div>
      
    </div>
  );
}

const rootElement = document.getElementById("root");
ReactDOM.render(<App />, rootElement);
